## pyx 0.6.3

=== faq/Makefile ===
default: pyxfaq.pdf

clean: partclean
	-rm pyxfaq.pdf glifaq.pdf glifaq.sty

partclean:
	-rm *.aux *.out *.toc *.log *.glo *.idx 

all: pdf

pdf: pyxfaq.pdf glifaq.pdf

pyxfaq.pdf: pyxfaq.tex glifaq.sty
	pdflatex pyxfaq
	pdflatex pyxfaq
	pdflatex pyxfaq

glifaq.sty: glifaq.dtx glifaq.ins
	latex glifaq.ins

glifaq.pdf: glifaq.dtx
	pdflatex glifaq.dtx
	pdflatex glifaq.dtx

=== manual/Makefile ===
# You need mkhowto from the python distribution for creating this manual.
# Get a copy of a current python source archive and make a symbolic link
# from <whatever>/Python-x.x.x/Doc/tools/mkhowto into this directory.
# Furthermore you need tex, latex2html and a few other things to build
# the manual (see the python documentation about creating documentations
# for details).

default:dvi

clean:
	-rm -fr manual.dvi manual.ps manual.pdf *.eps *.png *.aux manual

all:
	make clean
	make html
	make pdf
	make dvi
	make ps

src=$(wildcard *.tex) pyxversion.tex

dvi:manual.dvi
ps:manual.ps
pdf:manual.pdf
html:manual/manual.html

manual.pdf: $(src) png
	#for index-with-own-hyperrefs debugging, anybody interested?
	#./mkhowto --a4 --pdf --keep manual.tex
	./mkhowto --a4 --pdf manual.tex

manual.ps: manual.dvi
	dvips -o manual.ps manual.dvi

manual.dvi: $(src) eps
	./mkhowto --a4 --dvi manual.tex

manual/manual.html: $(src) eps
	# move pdf png's out of the way
	-rm -f *.png
	./mkhowto --image-type png --favicon "/pyx.ico" \
	          --up-link "/" --up-title "PyX homepage" \
	          --html manual.tex

pyxversion.tex: ../pyx/version.py
	python -c "import sys;sys.path[:0]=[\"..\"];import pyx.version;print pyx.version.version+'%'" > pyxversion.tex

eps: $(patsubst %.py, %.eps, $(wildcard *.py))
png: $(patsubst %.py, %.png, $(wildcard *.py))

%.eps: %.py
	export PYTHONPATH=$(PWD)/.. ; python $^

%.png: %.eps
	gs -dEPSCrop -dNOPAUSE -dQUIET -dBATCH -sDEVICE=png16m -sOutputFile=$@ -r600 $^

## pyx 0.7.1

=== examples/Makefile ===
default: examples.dvi

clean:
	-rm -f examples.tex examples.log examples.aux examples.dvi examples.ps examples.pdf *.eps */*.eps *.png */*.png

all:
	make clean
	make pdf
	make png

pdf: examples.pdf
ps: examples.ps
dvi: examples.dvi

examples.pdf: examples.ps
	ps2pdf examples.ps

examples.ps: examples.dvi
	dvips -o examples.ps examples.dvi

files = $(foreach item, $(shell grep -v / INDEX), $(item)) $(foreach item, $(shell grep / INDEX), $(addprefix $(item), $(shell cat $(item)INDEX)))
pyfiles = $(addsuffix .py, $(files))
epsfiles = $(addsuffix .eps, $(files))
pngfiles = $(addsuffix .png, $(files))

eps: $(epsfiles)

examples.dvi: examples.py $(epsfiles)
	python examples.py $(basename $(pyfiles))
	latex examples.tex
	-rm -f examples.ps examples.pdf

png: $(pngfiles)

%.eps: %.py
	cd $(dir $^); PYTHONPATH=$(CURDIR)/.. python $(notdir $^)

%.png: %.eps
	python ../contrib/epstopng.py -o $@ $^

=== faq/Makefile ===
default: pyxfaq.pdf

clean: partclean
	-rm pyxfaq.pdf glifaq.pdf glifaq.sty

partclean:
	-rm *.aux *.out *.toc *.log *.glo *.idx
	-rm pyxversion.tex pyxdate.tex

all: pdf

pdf: pyxfaq.pdf glifaq.pdf

pyxfaq.pdf: pyxfaq.tex pyxversion.tex pyxdate.tex glifaq.sty
	pdflatex pyxfaq
	pdflatex pyxfaq
	pdflatex pyxfaq

glifaq.sty: glifaq.dtx glifaq.ins
	latex glifaq.ins

glifaq.pdf: glifaq.dtx
	pdflatex glifaq.dtx

pyxversion.tex: ../pyx/version.py
	python -c "import sys;sys.path[:0]=[\"..\"];import pyx.version;print pyx.version.version+'%'" > pyxversion.tex

pyxdate.tex: ../pyx/version.py
	python -c "import sys;sys.path[:0]=[\"..\"];import pyx.version;print pyx.version.date+'%'" > pyxdate.tex

publicserver = shell.sourceforge.net
publicpath = /home/groups/p/py/pyx/htdocs

public:
	@bash -c 'yn=""; while [ "x"$$yn != "xy" ]; do echo -n "upload pyxfaq.pdf? [y/n] "; read yn; if [ "x"$$yn == "xn" ]; then exit 1; fi; done'
	scp pyxfaq.pdf $(publicserver):$(publicpath)
	-ssh $(publicserver) "cd $(publicpath); chmod -fR g+w pyxfaq.pdf"

tipasnippets: $(patsubst %.tex, %.pdf, $(wildcard tipa?.tex))

tipa%.pdf: tipa%.tex
	latex tipa$*
	dvips -E tipa$*
	ps2pdf -dEPSCrop tipa$*.ps
	rm tipa$*.log tipa$*.aux tipa$*.dvi tipa$*.ps

=== manual/Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 default:dvi
 
 clean:
-	-rm -fr manual.dvi manual.ps manual.pdf *.eps *.png *.aux manual
+	-rm -fr manual.dvi manual.ps manual.pdf *.eps *.aux *.out *.toc *.log *.png *.aux manual
 
 all:
 	make clean
@@ -17,7 +17,7 @@
 	make dvi
 	make ps
 
-src=$(wildcard *.tex) pyxversion.tex
+src=$(wildcard *.tex) pyxversion.tex pyxdate.tex
 
 dvi:manual.dvi
 ps:manual.ps
@@ -45,11 +45,14 @@
 pyxversion.tex: ../pyx/version.py
 	python -c "import sys;sys.path[:0]=[\"..\"];import pyx.version;print pyx.version.version+'%'" > pyxversion.tex
 
+pyxdate.tex: ../pyx/version.py
+	python -c "import sys;sys.path[:0]=[\"..\"];import pyx.version;print pyx.version.date+'%'" > pyxdate.tex
+
 eps: $(patsubst %.py, %.eps, $(wildcard *.py))
 png: $(patsubst %.py, %.png, $(wildcard *.py))
 
 %.eps: %.py
-	export PYTHONPATH=$(PWD)/.. ; python $^
+	export PYTHONPATH=$(CURDIR)/.. ; python $^
 
 %.png: %.eps
 	gs -dEPSCrop -dNOPAUSE -dQUIET -dBATCH -sDEVICE=png16m -sOutputFile=$@ -r600 $^

## pyx 0.9

=== faq/Makefile ===
PYTHON ?= python
PDFLATEX ?= pdflatex
LATEX ?= latex

default: pyxfaq.pdf

clean: partclean
	-rm pyxfaq.pdf glifaq.pdf glifaq.sty

partclean:
	-rm *.aux *.out *.toc *.log *.glo *.idx
	-rm pyxversion.tex pyxdate.tex

all: pdf

pdf: pyxfaq.pdf glifaq.pdf

pyxfaq.pdf: pyxfaq.tex pyxversion.tex pyxdate.tex glifaq.sty
	$(PDFLATEX) pyxfaq
	$(PDFLATEX) pyxfaq
	$(PDFLATEX) pyxfaq

glifaq.sty: glifaq.dtx glifaq.ins
	$(LATEX) glifaq.ins

glifaq.pdf: glifaq.dtx
	$(PDFLATEX) glifaq.dtx
	$(PDFLATEX) glifaq.dtx

pyxversion.tex: ../pyx/version.py
	$(PYTHON) -c "import sys;sys.path[:0]=[\"..\"];import pyx.version;print pyx.version.version+'%'" > pyxversion.tex

pyxdate.tex: ../pyx/version.py
	$(PYTHON) -c "import sys;sys.path[:0]=[\"..\"];import pyx.version;print pyx.version.date+'%'" > pyxdate.tex

publicserver = shell.sourceforge.net
publicpath = /home/groups/p/py/pyx/htdocs

public:
	@bash -c 'yn=""; while [ "x"$$yn != "xy" ]; do echo -n "upload pyxfaq.pdf? [y/n] "; read yn; if [ "x"$$yn == "xn" ]; then exit 1; fi; done'
	scp pyxfaq.pdf $(publicserver):$(publicpath)
	-ssh $(publicserver) "cd $(publicpath); chmod -fR g+w pyxfaq.pdf"

tipapyks.pdf: tipa.py
	$(PYTHON) tipa.py "pYks" "pyks"

tipapyx.pdf: tipa.py
	$(PYTHON) tipa.py "pYx" "pyx"

tipapych.pdf: tipa.py
	$(PYTHON) tipa.py "pY\\c c" "pych"

=== manual/Makefile ===
# You need mkhowto from the python distribution for creating this manual.
# Get a copy of a current python source archive and make a symbolic link
# from <whatever>/Python-x.x.x/Doc/tools/mkhowto into this directory.
# Furthermore you need tex, latex2html and a few other things to build
# the manual (see the python documentation about creating documentations
# for details).

PYTHON ?= python

default: dvi

clean:
	-rm -fr manual.dvi *.eps *.pdf *.aux *.out *.toc *.log manual

all:
	make clean
	make html
	make pdf
	make dvi

src=$(wildcard *.tex) pyxversion.tex pyxdate.tex

dvi: manual.dvi
pdf: manual.pdf
html: manual/manual.html

manual.pdf: $(src) pdf_figs
	#for index-with-own-hyperrefs debugging, anybody interested?
	#./mkhowto --a4 --pdf --keep manual.tex
	./mkhowto --a4 --pdf manual.tex

manual.dvi: $(src) eps_figs
	./mkhowto --a4 --dvi manual.tex

manual/manual.html: $(src) eps_figs
	./mkhowto --image-type png --favicon "/pyx.ico" \
	          --up-link "/" --up-title "PyX homepage" \
	          --html manual.tex

pyxversion.tex: ../pyx/version.py
	$(PYTHON) -c "import sys;sys.path[:0]=[\"..\"];import pyx.version;print pyx.version.version+'%'" > pyxversion.tex

pyxdate.tex: ../pyx/version.py
	$(PYTHON) -c "import sys;sys.path[:0]=[\"..\"];import pyx.version;print pyx.version.date+'%'" > pyxdate.tex

eps_figs: $(patsubst %.py, %.eps, $(wildcard *.py))

pdf_figs: $(patsubst %.py, %.pdf, $(wildcard *.py))

%.eps: %.py
	export PYTHONPATH=$(CURDIR)/.. ; $(PYTHON) $^

%.pdf: %.py
	export PYTHONPATH=$(CURDIR)/.. ; $(PYTHON) $^

## pyx 0.11.1

=== manual/Makefile ===
# Makefile for Sphinx documentation
#

PYTHON ?= python

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean all html latexpdf figs

all: html latexpdf
	@echo "Done."

clean:
	-rm -rf $(BUILDDIR)/* *.eps *.pdf *.png

html: figs
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

latexpdf: figs
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

figs: $(patsubst %.py, %.png, $(filter-out conf.py,$(wildcard *.py)))

%.png: %.py
	export PYTHONPATH=$(CURDIR)/.. ; $(PYTHON) $^
	$(PYTHON) ../contrib/epstopng.py -o $@ $*.eps

=== debian/changelog ===
pyx (0.11.1-2) unstable; urgency=low

  * Add texlive-latex-base to Build-Depends to correctly rebuild lfs files if
    only binary packages are being built (LP: #896924).
  * Use the sphinx debhelper module to check over the sphinx documentation.
  * Build-depend on debhelper >= 8.9.5 to stop dh_compress compressing sphinx
    files.

 -- Stuart Prescott <stuart+debian@nanonanonano.net>  Sun, 27 Nov 2011 21:09:42 +0000

pyx (0.11.1-1) unstable; urgency=low

  * New upstream release.
  * Change documentation build system to sphinx in line with new upstream docs.
  * Rebuild lfs files as part of build process.
  * Refresh patchs for new version:
    - drop manual-latex-define.patch no longer needed with sphinx.
    - drop siteconfig-static.patch: not needed with new build system
    - drop pyx-text-warnings26.patch: warnings fixed upstream
  * Add patch sphinx-mathjax.patch to use pngmath in sphinx rather than mathjax
    which is not yet in Debian.
  * Add patch createlfs-no-foiltex.patch to skip generation of foiltex-based
    lfs files that would require non-free components.
  * Switch to dpkg-source 3.0 (quilt) format.
  * Switch from python-support to dh_python2 as build helper.
  * Update copyright format to newer DEP-5 specification.
  * Add new files to copyright file.
  * Bump standards version to 3.9.2 (no changes required).
  * Set DM-Upload-Allowed: yes

 -- Stuart Prescott <stuart+debian@nanonanonano.net>  Fri, 20 May 2011 00:13:52 +0100

pyx (0.10-2) unstable; urgency=low

  * Build-depend on new python-old-doctools package that provides tools
    no longer in python 2.6 (closes: #568046).
  * Bump standards version to 3.8.4 (no changes required).

 -- Stuart Prescott <stuart+debian@nanonanonano.net>  Wed, 10 Feb 2010 16:06:53 +0000

pyx (0.10-1) unstable; urgency=low

  * New maintainer (closes: #552750).
  * Revert unneeded versioned build-dependency on python-all-dev.
  * Add a preinst script to clean up after python-central (working around
    bug #479852 in python-central) (closes: #553271).
  * Convert packaging to quilt.

 -- Stuart Prescott <stuart+debian@nanonanonano.net>  Thu, 29 Oct 2009 23:47:39 +0000

pyx (0.10-0+nmu3) unstable; urgency=low

  * Non-maintainer upload.
  * Build-Depend on python-all-dev (>= 2.5.4) for python.mk.

 -- Kumar Appaiah <akumar@debian.org>  Mon, 19 Oct 2009 17:21:33 -0500

pyx (0.10-0+nmu2) unstable; urgency=low

  * Non-maintainer upload
  * Fix build system for compatibility with Python 2.6 (closes: #547872)
    - change debhelper compat level to dh7.
    - remove unneeded sections of debian/rules.
    - remove versioned depends/conflicts/replaces for packages that haven't
      existed since Sarge.
  * Silence DeprecationWarning output from Python 2.6.
  * Move doc package to doc section.
  * Add doc-base entries for documentation.
  * Bump standards version to 3.8.3 (no changes required).

 -- Stuart Prescott <stuart+debian@nanonanonano.net>  Wed, 30 Sep 2009 01:09:13 +0100

pyx (0.10-0+nmu1) unstable; urgency=low

  * Non-maintainer upload
  * New upstream release (closes: #454765)
  * Update build-deps to use texlive rather than tetex
  * Update depends to use texlive rather than tetex (closes: #467207)
  * Recommend a smaller latex package to reduce the installation size.
    texlive-latex-base seems to be the smallest package that allows at least
    the (trivial) examples to be built (closes: #503577)
  * Fix copyright file to include names and years of upstream authors

 -- Stuart Prescott <stuart+debian@nanonanonano.net>  Fri, 15 May 2009 00:23:04 +0100

pyx (0.9-4) unstable; urgency=low

  * New maintainer (closes: #408140).

 -- Ernesto Nadir Crespo Avila <ecrespo@debianvenezuela.org>  Mon, 29 Jan 2007 21:22:39 -0400

pyx (0.9-3) unstable; urgency=low

  * New maintainer. Thank you for more than three years of
    maintenance,  Graham! Closes: #400087
  * Don't hard-code python 2.3 in manual/Makefile.
    Thanks to Matthias Klose for the bug report and patch.
    Closes: #392634
  * Remove obsolete dh_python call from debian/rules.

 -- Thomas Viehmann <tv@beamnet.de>  Sun, 26 Nov 2006 14:04:53 +0100

pyx (0.9-2) unstable; urgency=low

  * Support the new Python policy. (closes: #373372)

 -- Graham Wilson <graham@debian.org>  Thu, 15 Jun 2006 05:53:37 +0000

pyx (0.9-1) unstable; urgency=low

  * New upstream release.
  * Umm... don't build-depend libkpathsea4-dev.
  * Move examples to -doc package, since their number seems to be
    growing; they also seem more appropriate in that package.
  * Update standards version; no changes.

  * test script changes:
    - test files in the gallery directory as well
    - make the output less verbose

 -- Graham Wilson <graham@debian.org>  Sun, 11 Jun 2006 05:04:08 +0000

pyx (0.8.1-2) unstable; urgency=low

  * Rebuild against libkpathsea4.
  * Output number of tests that were run.
  * Use a variable for the python executable in rules, to make it easier
    to build for a different Python version.

 -- Graham Wilson <graham@debian.org>  Tue, 28 Feb 2006 08:46:25 +0000

pyx (0.8.1-1) unstable; urgency=low

  * New upstream release.
    - don't try to build the examples.pdf file anymore
    - update siteconfig.py to reflect new variable names
 
  * Only install .py and .dat files into the examples directory.
  * Don't build python2.?-pyx packages, just build for the current python.
  * Update the watch file to support uscan's new syntax.
  * Updated standards version (no changes).
  * Don't build depend on gs, since it isn't needed any longer.
  * Don't attempt to support noopt in DEB_BUILD_OPTIONS, since it apparently
    hasn't been working for some time.
  * Update the FSF's address in the copyright file.

  * Suggest python-imaging.

  * Minor changes to the test script:
    - reduce images 4x so they come out the correct size
    - copy .jpg files as well as .dat files
    - count how many tests failed
    - check if SYS_PYX is set, and if so, use the system's copy of PyX



=== debian/control ===
Source: pyx
Maintainer: Stuart Prescott <stuart+debian@nanonanonano.net>
Standards-Version: 3.9.2
Section: python
Priority: optional
Build-Depends: debhelper (>= 8.9.5~),
          python-all-dev (>= 2.6.6-3~),
          libkpathsea-dev,
          python,
          texlive-latex-base
Build-Depends-Indep: python-sphinx (>= 1.0.7+dfsg),
          python-imaging,
          ghostscript,
          texlive-latex-extra,
          texlive-latex-recommended,
          texlive-fonts-recommended,
          tipa
Homepage: http://pyx.sourceforge.net/
DM-Upload-Allowed: yes

Package: python-pyx
Architecture: any
Depends: ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}
Recommends: texlive-latex-base
Suggests: python-pyx-doc,
          python-imaging,
          texlive-fonts-recommended
Provides: ${python:Provides}
Description: Python module for generating PostScript graphics
 PyX is a Python module for generating encapsulated PostScript figures using
 an abstraction of PostScript and TeX.
 .
 The module provides access to PostScript features such as paths,
 line-styles, fill patterns, transformations, and clipping. Geometric
 operations on paths such as intersections, transformations, and splitting
 are also supported.
 .
 PyX also allows flexible graph generation with many different graph and
 axis styles.

Package: python-pyx-doc
Architecture: all
Section: doc
Depends: libjs-jquery, ${misc:Depends}, ${sphinxdoc:Depends}
Recommends: pdf-viewer
Description: Python module for generating PostScript graphics (documentation)
 PyX is a Python module for generating encapsulated PostScript figures using
 an abstraction of PostScript and TeX.
 .
 This package contains the manual for PyX in PDF and HTML formats and examples.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2

binary: binary-arch binary-indep

# build arch-indep files in the binary-indep target to prevent FTBFS on buildd
binary-indep: doc install
	dh $@ --with sphinxdoc

doc:
	make -C faq pdf
	make -C manual all

override_dh_auto_clean:
	make -C faq clean
	make -C manual clean
	rm -rf manual/_build
	cd pyx/data/lfs; rm -f *.lfs *.aux *.log
	dh_auto_clean

override_dh_auto_build:
	cd pyx/data/lfs; python createlfs.py
	dh_auto_build

override_dh_auto_install:
	dh_auto_install
	rm $(CURDIR)/debian/tmp/usr/lib/python2.*/*-packages/pyx/data/lfs/createlfs.*

override_dh_installdocs:
	dh_installdocs -Xobjects.inv

override_dh_compress:
	dh_compress --all -X.pdf

override_dh_fixperms:
	dh_fixperms
	find debian/python-pyx-doc/usr/share/doc/python-pyx-doc/examples/ \
		-type f -print0 | \
		xargs -0r chmod 0644

.PHONY: install doc binary binary-indep doc override_dh_auto_clean override_dh_auto_build override_dh_compress override_dh_installdocs

## pyx 0.12.1

=== faq/Makefile ===
# Makefile for Sphinx documentation
#

PYTHON ?= python

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean all html latexpdf

all: html latexpdf
	@echo "Done."

clean:
	-rm -rf $(BUILDDIR)/* *.eps *.pdf *.png

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

=== manual/Makefile ===
--- 
+++ 
@@ -20,7 +20,7 @@
 	@echo "Done."
 
 clean:
-	-rm -rf $(BUILDDIR)/* *.eps *.pdf *.png
+	-rm -rf $(BUILDDIR)/* *.pdf *.png
 
 html: figs
 	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
@@ -36,4 +36,4 @@
 
 %.png: %.py
 	export PYTHONPATH=$(CURDIR)/.. ; $(PYTHON) $^
-	$(PYTHON) ../contrib/epstopng.py -o $@ $*.eps
+	$(PYTHON) ../contrib/epstopng.py -o $@ $*.pdf

=== debian/changelog ===
pyx (0.12.1-9) unstable; urgency=medium

  * Switch autopkgtest tests to use python-pil.
  * Fix examples for PIL.
  * Update Standards-Version to 4.1.3 (no changes required).

 -- Stuart Prescott <stuart@debian.org>  Mon, 08 Jan 2018 19:06:26 +1100

pyx (0.12.1-8) unstable; urgency=medium

  * Add a build-dependency on latexmk for use with sphinx 1.6 (Closes: #872243)
  * Update Standards-Version to 4.1.0 (no changes required).

 -- Stuart Prescott <stuart@debian.org>  Tue, 29 Aug 2017 21:45:28 +1000

pyx (0.12.1-7) unstable; urgency=medium

  * Switch to using python-pil rather than python-imaging (Closes: #866473).
  * Update Standards-Version to 4.0.0 (no changes required)

 -- Stuart Prescott <stuart@debian.org>  Mon, 03 Jul 2017 03:05:19 +1000

pyx (0.12.1-6) unstable; urgency=medium

  * Add build-dependency on texlive-generic-extra (Closes: #828981).

 -- Stuart Prescott <stuart@debian.org>  Fri, 01 Jul 2016 01:44:53 +1000

pyx (0.12.1-5) unstable; urgency=medium

  * Add patches to make build reproducible (timestamps,randomness)
    with thanks to Alexis Bienvenüe (Closes: #825881)
  * Bump standards version to 3.9.8 (no changes required).
  * Change tostring() calls to tobytes() calls for recent PIL

 -- Stuart Prescott <stuart@debian.org>  Fri, 03 Jun 2016 23:47:02 +1000

pyx (0.12.1-4) unstable; urgency=medium

  * Make use of mathjax in sphinx documentation.
  * Fix targets in debian/rules for arch:all buildds.
  * Add build-dependency on dh-python.
  * Bump standards version to 3.9.6 (no changes required).

 -- Stuart Prescott <stuart@debian.org>  Fri, 23 Oct 2015 00:02:46 +1100

pyx (0.12.1-3) unstable; urgency=medium

  * Update packaging to reflect that newer versions of pyx support only
    python 3 and that they are separately packaged in the pyx3 source package.
  * Update package descriptions to highlight that this is the python 2 version
    of pyx.
  * Disable watch file since this package is tracking the obsolete branch.
  * Add autopkgtest tests.
  * Update standards version to 3.9.5 (no changes required).

 -- Stuart Prescott <stuart@debian.org>  Sat, 31 May 2014 18:25:57 +1000

pyx (0.12.1-2) unstable; urgency=low

  * Upload to unstable.

 -- Stuart Prescott <stuart@debian.org>  Sun, 19 May 2013 16:50:09 +1000

pyx (0.12.1-1) experimental; urgency=low

  * New upstream release
  * Update maintainer address.
  * Update copyright format URL.
  * Bump standards version to 3.9.4 (no changes required).
  * Drop postinst that was needed for lenny->squeeze upgrades.

 -- Stuart Prescott <stuart@debian.org>  Mon, 17 Dec 2012 13:45:12 +0000

=== debian/control ===
Source: pyx
Maintainer: Stuart Prescott <stuart@debian.org>
Standards-Version: 4.1.3
Section: python
Priority: optional
Build-Depends:
 debhelper (>= 9~),
 dh-python,
 libkpathsea-dev,
 python,
 python-all-dev (>= 2.6.6-3~),
 texlive-latex-base
Build-Depends-Indep:
 ghostscript,
 latexmk,
 libjs-mathjax,
 python-pil,
 python-sphinx (>= 1.0.7+dfsg),
 texlive-fonts-recommended,
 texlive-generic-extra,
 texlive-latex-extra,
 texlive-latex-recommended,
 tipa
Homepage: http://pyx.sourceforge.net/

Package: python-pyx
Architecture: any
Depends:
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends}
Recommends:
 texlive-latex-base
Suggests:
 python-pil,
 python-pyx-doc,
 texlive-fonts-recommended
Provides:
 ${python:Provides}
Description: Python 2 module for generating PostScript graphics
 PyX is a Python 2 module for generating encapsulated PostScript figures using
 an abstraction of PostScript and TeX.
 .
 The module provides access to PostScript features such as paths,
 line-styles, fill patterns, transformations, and clipping. Geometric
 operations on paths such as intersections, transformations, and splitting
 are also supported.
 .
 PyX also allows flexible graph generation with many different graph and
 axis styles.
 .
 Development of this Python 2 version of PyX has ceased. Use the python3-pyx
 package for a version of PyX compatible with Python 3.

Package: python-pyx-doc
Architecture: all
Section: doc
Depends:
 libjs-jquery,
 libjs-mathjax,
 ${misc:Depends},
 ${sphinxdoc:Depends}
Recommends:
 pdf-viewer
Description: Python 2 module for generating PostScript graphics (documentation)
 PyX is a Python 2 module for generating encapsulated PostScript figures using
 an abstraction of PostScript and TeX.
 .
 This package contains the manual for PyX in PDF and HTML formats and examples.
 .
 See the python3-pyx package for a version of PyX compatible with Python 3.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2

lfs:
	cd pyx/data/lfs; python createlfs.py

doc: lfs
	make -C faq all
	make -C manual all

override_dh_auto_clean:
	make -C faq clean
	make -C manual clean
	rm -rf manual/_build faq/_build
	cd pyx/data/lfs; rm -f *.lfs *.aux *.log
	dh_auto_clean

override_dh_auto_build-indep: doc

override_dh_auto_build-arch: lfs
	dh_auto_build

override_dh_auto_install:
	dh_auto_install
	rm $(CURDIR)/debian/tmp/usr/lib/python2.*/*-packages/pyx/data/lfs/createlfs.*

override_dh_installdocs-indep:
	mv manual/_build/html/ manual/_build/manual/
	mv faq/_build/html/ faq/_build/faq/
	dh_installdocs -Xobjects.inv
	ln -sf /usr/share/javascript/mathjax/ \
	  debian/python-pyx-doc/usr/share/doc/python-pyx-doc/manual/_static/mathjax
	dh_sphinxdoc

override_dh_compress:
	dh_compress --all -X.pdf

override_dh_fixperms:
	dh_fixperms
	find debian/python-pyx-doc/usr/share/doc/python-pyx-doc/examples/ \
		-type f -print0 | \
		xargs -0r chmod 0644

.PHONY: doc

=== debian/tests/control ===
Tests: python-pyx-examples
Depends: python-pyx,
  findutils,
  ghostscript,
  imagemagick,
  python-pil,
  texlive-fonts-recommended,
  texlive-latex-base

=== debian/watch ===
# Watch file disabled as this python 2 version no longer under development
